.card {
    &:hover{
        cursor: pointer;
    }
    width: 330px;
    height: 80px;
    overflow: hidden;
    margin:20px 0 0 0;
    border-radius: 15px;
    box-shadow: 0px 5px 5px 1px rgb(0 0 0 / 10%);
    &__title{
        z-index: 99;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap; 
        display: block;
    }
    &:not(:last-child){
        @include desktop-only {
            margin-right: 10px;
        }
    }
    &__content {
        padding: 12px;
        width: 320px;
        @include bg-lighter($color-light);
        border-radius: 15px;
        position: relative;
        
        &:hover {
            cursor: pointer;
            &  .card__content--text-retractable {
                
                animation: retractable-text 800ms ease both;
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;   
            }

            & .card__content--price {
                transition: transform 800ms;
                transform: translate(-85px);
            }
            & .card__title{
                animation: retractable-title 800ms ease both;
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;
            }
        }
        &:hover .square__retractable {
            cursor: pointer;
            transition: transform 800ms;
            transform: scaleX(0);
            transform-origin: left;
            &+.anim-check {
                & i {
                    transition: transform 850ms;
                    transform: translate(-10px) rotate(360deg);
                }
            }

        }
        &--price {
            align-self: flex-end;
            z-index: 2;
            transition: transform 800ms -40ms;
            transform: translate(0);
            font-weight:bold;
        }
        
    }
    
}

.anim-check {
    display: block;
    background-color: $color-tertiary;
    color: white;
    position: absolute;
    right: 0px;
    top: 0;
    padding: 30px 25px;
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
    height: 30px;
    width: 30px;

    & i {
        font-size: 1.5em;
        position: absolute;
        right: 20px;
        top: 30px;
        transition: transform 800ms;
        transform: translate(100px) rotate(0deg);
    }
}
.card__content--text-retractable {
    z-index: 2;
    max-width: 30ch;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.square__retractable {
    @include bg-lighter($color-light);
    width: 80px;
    height: 80px;
    position: absolute;
    right: 0px;
    top: 0;
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
    z-index: 1;
    transition: transform 800ms, opacity 880ms 20ms;
    transform: scaleX(1);
    transform-origin: left 10%;
}
    
